読者です 読者をやめる 読者になる 読者になる

non vorrei lavorare

ブログ名の通りです。javascript three.js mruby rust OCaml golang julialang blender

The Ruby openssl extension was not compiled. Missing the OpenSSL lib?

パソコン・インターネット
最近、次男がやや便秘気味なのと、鼻詰まりで夜中に起こされることが多いkjunichiです。

Qiitaで解決しました

macgemが動かない問題の手がかりをつかもうとrbenvでいろいろrubyを入れようと 結局失敗に終わり、悔しいので、2.0系がローカルのインストールしているものより 新しいものがあるのを発見し、早速インストールしようとしたら、 「The Ruby openssl extension was not compiled. Missing the OpenSSL lib?」というエラー rbenvもHomebrewで入れているので、とりあえず、Homebrewを更新したものの、症状改善せず。

RUBY_CONFIGURE_OPTS="--with-readline-dir=`brew --prefix readline` --with-openssl-dir=`brew --prefix openssl`" rbenv install 2.0.0-p353

と、問題となったOpenSSLのライブラリの場所を明示することで解決。

まとめ

2.0系は以前Qiitaに投稿されている記事を参考にコピペでインストールしていたので、 その際も、このオプションを付けてインストールしていたのかなぁ、Raspberry piでの作業を記憶がごちゃまぜになってる気がしてきた。